Subject: RE: bug#27979: tab completion for "(yes or no)?"

From: Drew Adams <[email-masked]>
Date: Sun, 6 Aug 2017 08:46:14 -0700 (PDT)

> >> Some experts have in their Emacs init file:
> >>   (fset 'yes-or-no-p 'y-or-n-p)
> >> So that they will be prompted with (y or n).
> >
> > More newbies than experts, methinks. ;-)
> 
> I have: (defalias 'yes-or-no-p 'y-or-n-p)
> so i am neither expert nor beginner (an outsider
> or a secret agent, maybe).

Actually, my reply was partly to discourage a possible
misimpression that such an alias is a sign of expertise
or will likely increase expertise.  (Not that you
suggested any such thing.)

But mainly: even (some) experts can benefit from
having to type `yes', and few (I think) really gain
much by just hitting `y'.

It's a cost/benefit thing.  If you never hit `y'
accidentally or too quickly in a critical situation
then the gain of not typing `es' and not hitting `RET'
is maybe worth it (maybe not).  If you do ever make
such a mistake then the cost can be great.

Experts (however defined) generally have more pilot
hours, and so are more likely to have been through a
few such crises and perhaps learned from them to be
careful.

A newbie, whether driving a car or driving Emacs,
can, from lack of such unfortunate experiences,
sometimes be overconfident and think that some
things, like looking in the rear-view mirror or not
texting, are just an unnecessary bother - something
only "newbies" really need.  Having a few accidents
can do wonders for teaching the value of paying
attention.

Wrt driving, a recent US study pointed out that the
youngest drivers (e.g. 16 years old) are much more
careful than are those who are just a little bit
older (e.g. 17 years old) - much more likely to
drive slower, to pay attention to other cars, not
to text, etc.  IOW, a little experience/knowledge
can be a dangerous thing.

Telling new drivers that some "expert" drivers
never need to look in the rear-view mirror would
not be a great thing to do (IMO).  And I doubt
that it would be true that some expert drivers
never do look in the mirror.